# This file created by conda-build 3.18.9
# meta.yaml template originally from:
# /tmp/build/80754af9/aggregateR/r-detestset-feedstock/recipe, last modified Tue Sep 10 11:43:57 2019
# ------------------------------------------------

package:
    name: r-detestset
    version: 1.1.6
source:
    sha256: 6c406b082634e902f8daee757972698b631851c9c3de542a8e7a2ae60ab80458
    url:
        - https://cran.r-project.org/src/contrib/Archive/deTestSet/deTestSet_1.1.6.tar.gz
        - https://cran.r-project.org/src/contrib/deTestSet_1.1.6.tar.gz
build:
    number: '0'
    rpaths:
        - lib/
        - lib/R/lib/
    string: r36ha65eedd_0
requirements:
    build:
        - _libgcc_mutex 0.1 main
        - binutils_impl_linux-64 2.31.1 h6176602_1
        - binutils_linux-64 2.31.1 h6176602_8
        - gcc_impl_linux-64 7.3.0 habb00fd_1
        - gcc_linux-64 7.3.0 h553295d_8
        - gfortran_impl_linux-64 7.3.0 hdf63c60_1
        - gfortran_linux-64 7.3.0 h553295d_8
        - libgcc-ng 9.1.0 hdf63c60_0
        - libgfortran-ng 7.3.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - make 4.2.1 h1bed415_1
    host:
        - _libgcc_mutex 0.1 main
        - _r-mutex 1.0.0 anacondar_1
        - binutils_impl_linux-64 2.28.1 had2808c_3
        - binutils_linux-64 7.2.0 had2808c_27
        - bwidget 1.9.11 1
        - bzip2 1.0.8 h7b6447c_0
        - ca-certificates 2019.5.15 1
        - cairo 1.14.12 h8948797_3
        - curl 7.65.3 hbc83047_0
        - fontconfig 2.13.0 h9420a91_0
        - freetype 2.9.1 h8a8886c_1
        - fribidi 1.0.5 h7b6447c_0
        - gcc_impl_linux-64 7.2.0 habb00fd_3
        - gcc_linux-64 7.2.0 h550dcbe_27
        - gfortran_impl_linux-64 7.2.0 hdf63c60_3
        - gfortran_linux-64 7.2.0 h550dcbe_27
        - glib 2.56.2 hd408876_0
        - graphite2 1.3.13 h23475e2_0
        - gsl 2.4 h14c3975_4
        - gxx_impl_linux-64 7.2.0 hdf63c60_3
        - gxx_linux-64 7.2.0 h550dcbe_27
        - harfbuzz 1.8.8 hffaf4a1_0
        - icu 58.2 h9c2bf20_1
        - jpeg 9b h024ee3a_2
        - krb5 1.16.1 h173b8e3_7
        - libcurl 7.65.3 h20c2e04_0
        - libedit 3.1.20181209 hc058e9b_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 9.1.0 hdf63c60_0
        - libgfortran-ng 7.3.0 hdf63c60_0
        - libpng 1.6.37 hbc83047_0
        - libssh2 1.8.2 h1ba5d50_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - libtiff 4.0.10 h2733197_2
        - libuuid 1.0.3 h1bed415_2
        - libxcb 1.13 h1bed415_1
        - libxml2 2.9.9 hea5a465_1
        - make 4.2.1 h1bed415_1
        - ncurses 6.1 he6710b0_1
        - openssl 1.1.1c h7b6447c_1
        - pango 1.42.4 h049681c_0
        - pcre 8.43 he6710b0_0
        - pixman 0.38.0 h7b6447c_0
        - r-base 3.6.1 hce969dd_0
        - r-desolve 1.24 r36ha65eedd_0
        - readline 7.0 h7b6447c_5
        - tk 8.6.8 hbc83047_0
        - tktable 2.10 h14c3975_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h7b6447c_3
        - zstd 1.3.7 h0b5b093_0
    run:
        - libgcc-ng >=7.3.0
        - libgfortran-ng >=7,<8.0a0
        - r-base >=3.6,<3.7.0a0
        - r-desolve
test:
    commands:
        - $R -e "library('deTestSet')"
about:
    home: https://CRAN.R-project.org/package=deTestSet
    license: GPL-3
    license_family: GPL3
    license_file:
        - /tmp/build/80754af9/r-detestset_1568116604495/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pl/lib/R/share/licenses/GPL-3
    summary: 'Solvers and test set for stiff and non-stiff differential equations,
        and  differential algebraic equations.  ''Mazzia, F., Cash, J.R. and K. Soetaert,
        2012. DOI: 10.1016/j.cam.2012.03.014''.'
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - katietz
